Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class Jetty6RunWarExploded

    java.lang.Object
      AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo
              org.mortbay.jetty.plugin.AbstractJetty6Mojo
                  org.mortbay.jetty.plugin.Jetty6RunWarExploded

    public class Jetty6RunWarExploded

extends AbstractJetty6Mojo

This goal is used to assemble your webapp into an exploded war and automatically deploy it to Jetty.

Once invoked, the plugin can be configured to run continuously, scanning for changes in the pom.xml and to WEB-INF/web.xml, WEB-INF/classes or WEB-INF/lib and hot redeploy when a change is detected.

You may also specify the location of a jetty.xml file whose contents will be applied before any plugin configuration. This can be used, for example, to deploy a static webapp that is not part of your maven build.

There is a reference guide to the configuration parameters for this plugin, and more detailed information with examples in the Configuration How-To.

Field Summary

Fields inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`PORT_SYSPROPERTY`

Constructor Summary
`Jetty6RunWarExploded()`

Method Summary
`void` | `checkPomConfiguration()`
`void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp
`void` | `execute()`
`void` | `finishConfigurationBeforeStart()`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJetty6Mojo
`applyJettyXml, createServer, getConfiguredConnectors, getConfiguredRequestLog, getConfiguredUserRealms`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`findJettyWebXmlFile, getContextPath, getJettyXmlFileName, getOverrideWebXml, getProject, getScanIntervalSeconds, getScanList, getScannerListeners, getServer, getSystemProperties, getTmpDirectory, getWebApplication, getWebDefaultXml, setScanList, setScannerListeners, setServer, setWebApplication, startJetty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jetty6RunWarExploded

    public Jetty6RunWarExploded()

Method Detail

### checkPomConfiguration

    public void checkPomConfiguration()
                               throws MojoExecutionException

  Specified by:
    `checkPomConfiguration` in class `AbstractJettyMojo`
  Throws:
    `MojoExecutionException`
  See Also:
    `AbstractJettyMojo.checkPomConfiguration()`

### configureScanner

    public void configureScanner()
                          throws MojoExecutionException

  Specified by:
    `configureScanner` in class `AbstractJettyMojo`
  Throws:
    `MojoExecutionException`
  See Also:
    `AbstractJettyMojo.configureScanner()`

### finishConfigurationBeforeStart

    public void finishConfigurationBeforeStart()
                                        throws Exception

  Specified by:
    `finishConfigurationBeforeStart` in class `AbstractJettyMojo`
  Throws:
    `Exception`

### configureWebApplication

    public void configureWebApplication()
                                 throws Exception

  Description copied from class: `AbstractJettyMojo`
  Subclasses should invoke this to setup basic info on the webapp

  Overrides:
    `configureWebApplication` in class `AbstractJettyMojo`
  Throws:
    `Exception`

### execute

    public void execute()
                 throws MojoExecutionException,
                        MojoFailureException

  Overrides:
    `execute` in class `AbstractJettyMojo`
  Throws:
    `MojoExecutionException`
    `MojoFailureException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.